View Issue Details

IDProjectCategoryView StatusLast Update
0030474RunnerFunctionsPublic2019-02-28 09:53
ReporterStewart BishopAssigned ToFritz 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030474: Functions: buffer_base64_decode() is inconsistent on Windows and HTML5
DescriptionSomething has happened in the last beta run-time update which has broken buffer_base64_decode() is a couple of ways.

For Windows VM and YYC, the buffer created is the correct length, but the last expected byte is not present.

For HTML5, the expected bytes are present but the buffer is too long.
Steps To Reproduce1) Run the sample on Windows VM
2) Run the sample on Windows YYC
3) Run the sample on HTML5
4) See that each of these are different and have differing issues
Tagshtml5, Runner
1.4 Found In
2.x Runtime Found In2.2.2.302
2.x Runtime Verified In2.2.2.311

Activities

Stewart Bishop

2019-02-04 12:31

Adminstrator  

buffer_base64_decode.yyz (28,161 bytes)

Dan

2019-02-25 12:34

Adminstrator   ~0063321

Runtime 309+

Scott Dunbar

2019-02-28 09:53

Adminstrator   ~0063382

Verified fixed. closing

IDE 2.2.2.396 Runtime 2.2.2.311